org.apache.ignite.internal.processors.cache.query.continuous

## Class CacheContinuousQueryEntry

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.query.continuous.CacheContinuousQueryEntry

All Implemented Interfaces:
  Serializable, GridCacheDeployable, Message

    public class CacheContinuousQueryEntry
    extends Object
    implements GridCacheDeployable, Message

Continuous query entry.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`CacheContinuousQueryEntry()` Required by `Message`.

### Method Summary

Methods
`GridDeploymentInfo` `deployInfo()`
`short` `directType()` Gets message type.
`static javax.cache.event.EventType` `eventTypeFromOrdinal(int ord)`
`byte` `fieldsCount()` Gets fields count.
`byte` `flags()`
`void` `onAckReceived()` Method called when ack message received.
`void` `prepare(GridDeploymentInfo depInfo)` Prepare deployment information.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheContinuousQueryEntry

    public CacheContinuousQueryEntry()

Required by `Message`.

### Method Detail

#### eventTypeFromOrdinal

    @Nullable
    public static javax.cache.event.EventType eventTypeFromOrdinal(int ord)

Parameters:
  `ord` - Event type ordinal value.
Returns:
  Event type.

#### flags

    public byte flags()

Returns:
  Flags.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### prepare

    public void prepare(GridDeploymentInfo depInfo)

Prepare deployment information.

Specified by:
  `prepare` in interface `GridCacheDeployable`
Parameters:
  `depInfo` - Deployment information.

#### deployInfo

    public GridDeploymentInfo deployInfo()

Specified by:
  `deployInfo` in interface `GridCacheDeployable`
Returns:
  Deployment bean.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017